Organize Imports - plugin detail

Modul to organize import statements in Java source files.

NetBeans Plugin - Organize Imports
Plugin owner: nigjo_iqn
Website: http://kenai.com/projects/organizeimports
Added: 2011-04-23
License: Freeware
Category: Programming Languages
Downloaded: 4,814 times
Rating:
 4.58, by 9 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.02 MB   Last Update: 2011-06-08

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

1.2.4

  • Changed licence to GPL2 w/ Classpath Exceptions (NetBeans licence)
  • Implemented extra sorting for static imports
  • Bugfix Issue 198488 - deadlock with OrganizeImports plugin. Thanks to Jan Becicka.

1.2.1

  • Updated Module Dependencies for NetBeans 7.0
  • Options for static imports are only a "preview". Will work in next release.
  • Please download old version from Kenai project page

1.1.0

  • Updated Module Dependencies for NetBeans 6.9

1.0.3

  • Just edit some nbm settings.

1.0.2

  • Fixed NPE when clean list
  • Fixed localization issue in "new" and "edit" dialog.
  • Changed module codebase. Please deinstall previous version before installing this version!


Verifications for NetBeans versions

7.0 verification PASSED See verification details


Introduction

Rebuilds the feature "organize imports" from Eclipse. Define your groups in Options Dialog and press Ctrl+Alt+i.

Read "NetBeans Zone" article for more information.

[ You have to be logged in to be able to comment. ]

User Comments

  

Re: Updates for NB7.1

There is no need (or plan) to do a 7.1 (or later) version, because "organize imports" is now implemented in NetBeans directly:
Issue 183703 - Import Statement Organizer (and Issue 122109 - Implement Optimize Imports)

Jens
Posted by nigjo_iqn on Sep 19, 2012
  

Updates for NB7.1

Is it possible to get this updated for netbeans 7.1?

The plugin Editor Library is requested in version >= 2.10.1.10.2 (release version 2) but only 3.17.1.19.25 (of release version different from 2) was found. The following plugin is affected:       Organize Imports
Posted by nedenom on Sep 19, 2012
  

Thanks

Very good plugin, it works perfectly with NB7.0.

Thanks!
Posted by diegotrujillor on May 10, 2011
  

Needs to be a version for NB6.9 with the updated plugin Editor

When you attempt to install on nb6.9 rc1 you get the following.

Some plugins require plugin Editor Library to be installed.
The plugin Editor Library is requested in version >= 1.38.2.9.2 (release version 1) but only 2.10.1.10.2
(of release version different from 1) was found.

The following plugin is affected:       

Organize Imports
Posted by mcolegrove2 on May 28, 2010
  

Doesn't work with Netbeans 6.9 Beta

In Netbeans 6.9 Beta when trying to install this plugin it complains about the Editor Library version
Posted by desmond_kirrane on May 10, 2010
  

Additional feature suggestion

Could you add a feature that allows static imports to be grouped together?
Posted by rptmaestro on Apr 29, 2010
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo